#include<iostream>
using namespace std;
int main(){
int n,ri,ci;
cin>>n;
if(n==1){
    cin>>ri>>ci;
cout<<0;}
else if(n==2){
cin>>ri>>ci;
int a=ri;
int b=ci;
cin>>ri>>ci;
if(a==ri||b==ci)
cout<<1;
else cout<<0;
}
return 0;
}